SeExpr

Public Member Functions | Public Attributes | List of all members
SeExpr2::Expression::Error Struct Reference

Represents a parse or type checking error in an expression. More...

`#include <Expression.h>`

## Public Member Functions
| Error (const std::string &errorIn, const int startPosIn, const int endPosIn)

## Public Attributes
std::string | error
| Text of error. More...
int | startPos
| Error start offset in expression string. More...
int | endPos
| Error end offset in expression string. More...

## Detailed Description

Represents a parse or type checking error in an expression.

Definition at line 91 of file Expression.h.

## Constructor & Destructor Documentation

## ◆ Error()

SeExpr2::Expression::Error::Error | ( | const std::string & | errorIn,
|  | const int | startPosIn,
|  | const int | endPosIn
| ) |  |
| inline

Definition at line 101 of file Expression.h.

## Member Data Documentation

## ◆ endPos

int SeExpr2::Expression::Error::endPos

Error end offset in expression string.

Definition at line 99 of file Expression.h.

## ◆ error

std::string SeExpr2::Expression::Error::error

Text of error.

Definition at line 93 of file Expression.h.

## ◆ startPos

int SeExpr2::Expression::Error::startPos

Error start offset in expression string.

Definition at line 96 of file Expression.h.

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/Expression.h